package data

type (
	CashOut struct {
		ID           uint64  `gorm:"column:id;type:bigint;primaryKey;autoIncrement;comment:申请提现id" json:"id"`
		CreateAt     string  `gorm:"column:create_at;type:varchar(191);comment:申请时间" json:"create_at"`
		IsOut        int     `gorm:"column:is_out;type:bit(1);comment:是否转账" json:"is_out"`
		Money        string  `gorm:"column:money;type:varchar(191);comment:提现金额" json:"money"`
		OutAt        string  `gorm:"column:out_at;type:varchar(191);comment:转账时间" json:"out_at"`
		RelationID   string  `gorm:"column:relation_id;type:varchar(191);comment:会员编号" json:"relation_id"`
		UserID       int64   `gorm:"column:user_id;type:bigint;comment:用户id" json:"user_id"`
		Zhifubao     string  `gorm:"column:zhifubao;type:varchar(191);comment:支付宝账号" json:"zhifubao"`
		ZhifubaoName string  `gorm:"column:zhifubao_name;type:varchar(64);comment:支付宝姓名" json:"zhifubao_name"`
		BankName     string  `gorm:"column:bank_name;type:varchar(64);comment:银行名称" json:"bank_name"`
		Province     string  `gorm:"column:province;type:varchar(64);comment:省" json:"province"`
		City         string  `gorm:"column:city;type:varchar(64);comment:市" json:"city"`
		BankBranch   string  `gorm:"column:bank_branch;type:varchar(64);comment:开户行" json:"bank_branch"`
		OrderNumber  string  `gorm:"column:order_number;type:varchar(191);comment:订单编号" json:"order_number"`
		State        int     `gorm:"column:state;type:int;comment:状态 0待转账 1成功 -1退款 3待复审 4 定时任务发起提现" json:"state"`
		Refund       string  `gorm:"column:refund;type:varchar(1000);comment:原因" json:"refund"`
		Rate         float64 `gorm:"column:rate;type:decimal(10,2);comment:手续费" json:"rate"`
		SysUserID    int64   `gorm:"column:sys_user_id;type:bigint;comment:代理用户id" json:"sys_user_id"`
		UserType     int     `gorm:"column:user_type;type:int;comment:提现类型 1用户提现 2代理提现" json:"user_type"`
		WithdrawType int     `gorm:"column:withdraw_type;type:tinyint;default:0;comment:0红包提现 1手动体现" json:"withdraw_type"`
		Pass         int     `gorm:"column:pass;type:tinyint(1);comment:提现通道 1原版 2撕耀 3通荷" json:"pass"`
		UpdateTime   string  `gorm:"column:update_time;type:datetime;autoUpdateTime;comment:更新时间" json:"update_time"`
	}

	CashOutCopy1 struct {
		ID           uint64  `gorm:"column:id;type:bigint;primaryKey;autoIncrement;comment:申请提现id" json:"id"`
		CreateAt     string  `gorm:"column:create_at;type:varchar(191);comment:申请时间" json:"create_at"`
		IsOut        int     `gorm:"column:is_out;type:bit(1);comment:是否转账" json:"is_out"`
		Money        string  `gorm:"column:money;type:varchar(191);comment:提现金额" json:"money"`
		OutAt        string  `gorm:"column:out_at;type:varchar(191);comment:转账时间" json:"out_at"`
		RelationID   string  `gorm:"column:relation_id;type:varchar(191);comment:会员编号" json:"relation_id"`
		UserID       int64   `gorm:"column:user_id;type:bigint;comment:用户id" json:"user_id"`
		Zhifubao     string  `gorm:"column:zhifubao;type:varchar(191);comment:支付宝账号" json:"zhifubao"`
		ZhifubaoName string  `gorm:"column:zhifubao_name;type:varchar(64);comment:支付宝姓名" json:"zhifubao_name"`
		BankName     string  `gorm:"column:bank_name;type:varchar(64);comment:银行名称" json:"bank_name"`
		Province     string  `gorm:"column:province;type:varchar(64);comment:省" json:"province"`
		City         string  `gorm:"column:city;type:varchar(64);comment:市" json:"city"`
		BankBranch   string  `gorm:"column:bank_branch;type:varchar(64);comment:开户行" json:"bank_branch"`
		OrderNumber  string  `gorm:"column:order_number;type:varchar(191);comment:订单编号" json:"order_number"`
		State        int     `gorm:"column:state;type:int;comment:状态 0待转账 1成功 -1退款 3待复审 4 定时任务发起提现" json:"state"`
		Refund       string  `gorm:"column:refund;type:varchar(1000);comment:原因" json:"refund"`
		Rate         float64 `gorm:"column:rate;type:decimal(10,2);comment:手续费" json:"rate"`
		SysUserID    int64   `gorm:"column:sys_user_id;type:bigint;comment:代理用户id" json:"sys_user_id"`
		UserType     int     `gorm:"column:user_type;type:int;comment:提现类型 1用户提现 2代理提现" json:"user_type"`
		WithdrawType int     `gorm:"column:withdraw_type;type:tinyint;default:0;comment:0红包提现 1手动体现" json:"withdraw_type"`
		Pass         int     `gorm:"column:pass;type:tinyint(1);comment:提现通道 1原版 2撕耀 3通荷" json:"pass"`
		UpdateTime   string  `gorm:"column:update_time;type:datetime;autoUpdateTime;comment:更新时间" json:"update_time"`
	}
)

func (CashOut) TableName() string {
	return "cash_out"
}

func (CashOutCopy1) TableName() string {
	return "cash_out_copy1"
}
